## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate mio

Name:           rust-%{crate}
Version:        0.8.3
Release:        %autorelease
Summary:        Lightweight non-blocking IO

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/mio
Source:         %{crates_source}
# Initial patched metadata
# * drop WASI- and Windows-specific dependencies
Patch0:         mio-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lightweight non-blocking IO.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+net-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+net-devel %{_description}

This package contains library source intended for building other packages which
use the "net" feature of the "%{crate}" crate.

%files       -n %{name}+net-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os-ext-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os-ext-devel %{_description}

This package contains library source intended for building other packages which
use the "os-ext" feature of the "%{crate}" crate.

%files       -n %{name}+os-ext-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os-poll-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os-poll-devel %{_description}

This package contains library source intended for building other packages which
use the "os-poll" feature of the "%{crate}" crate.

%files       -n %{name}+os-poll-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
export RUST_BACKTRACE=1
%cargo_test -a
%endif

%changelog
* Wed May 11 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.3-1
- Update to version 0.8.3; Fixes RHBZ#2082946

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2065428

* Sat Mar 12 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#2063212

* Thu Feb 03 2022 Fabio Valentini <decathorpe@gmail.com> 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#2022964

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> 0.7.14-1
- Update to version 0.7.14; Fixes RHBZ#2014779

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.13-1
- Update to version 0.7.13.
- Fixes RHBZ#1971183

* Tue Mar 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.11-1
- Update to version 0.7.11.
- Fixes RHBZ#1939250

* Tue Feb 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.9-1
- Update to version 0.7.9.
- Fixes RHBZ#1929906

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 31 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.7-1
- Update to version 0.7.7.
- Fixes RHBZ#1911692

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-1
- Update to version 0.7.6.
- Fixes RHBZ#1898162

* Thu Nov 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.5-1
- Update to version 0.7.5.
- Fixes RHBZ#1883627

* Wed Oct 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Update to version 0.7.2.

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 29 01:28:15 CEST 2020 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Wed Feb 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.6.21-3
- Fix FTBFS

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.6.21-1
- Update to 0.6.21

* Fri Nov 22 2019 Josh Stone <jistone@redhat.com> - 0.6.20-1
- Update to 0.6.20

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 21:27:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.19-2
- Regenerate

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 0.6.19-1
- Update to 0.6.19

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-3
- Adapt to new packaging

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.6.16-1
- Update to 0.6.16

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Josh Stone <jistone@redhat.com> - 0.6.15-1
- Update to 0.6.15

* Fri Jun 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.14-2
- Bump lazycell to 1

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 0.6.14-1
- Update to 0.6.14

* Wed Feb 07 2018 Josh Stone <jistone@redhat.com> - 0.6.13-1
- Update to 0.6.13

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.12-1
- Update to 0.6.12

* Fri Dec 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Fri Jun 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-1
- Initial package

